Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[PORTAGE] Problemas después actualización fallida.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
koyo
Tux's lil' helper
Tux's lil' helper


Joined: 05 Apr 2003
Posts: 126
Location: Colombia

PostPosted: Tue Nov 27, 2012 12:24 am    Post subject: [PORTAGE] Problemas después actualización fallida. Reply with quote

Hola a todos.

Les escribo para compartir este error que ha surgido el día de hoy en un servidor que tengo montado con Gentoo. Luego de hacer una actualización, siguiendo estos pasos:

    emerge --sync -q
    emerge -NDuqav system
    revdep-rebuild
    python-updater


Todas las herramientas relacionadas con emerge han dejado de funcionar, al tratar de ejecutar por ejemplo, emerge -q numpy: surge el siguiente error:

Code:

Traceback (most recent call last):
  File "/usr/bin/emerge", line 48, in <module>
    retval = emerge_main()
  File "/usr/lib64/portage/pym/_emerge/main.py", line 1009, in emerge_main
    settings, trees, mtimedb = load_emerge_config()
  File "/usr/lib64/portage/pym/portage/proxy/objectproxy.py", line 30, in __call__
    result = object.__getattribute__(self, '_get_target')()
  File "/usr/lib64/portage/pym/portage/proxy/lazyimport.py", line 129, in _get_target
    __import__(name)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 51, in <module>
    from portage.package.ebuild.doebuild import _check_temp_dir
  File "/usr/lib64/portage/pym/portage/package/ebuild/doebuild.py", line 65, in <module>
    from _emerge.BinpkgEnvExtractor import BinpkgEnvExtractor
  File "/usr/lib64/portage/pym/_emerge/BinpkgEnvExtractor.py", line 7, in <module>
    from _emerge.SpawnProcess import SpawnProcess
  File "/usr/lib64/portage/pym/_emerge/SpawnProcess.py", line 9, in <module>
    from portage.util._async.PipeLogger import PipeLogger
ImportError: cannot import name PipeLogger


Alguien podria ayudarme a solucionar el problema? realmente estoy bloqueado en esta solucion.

Muchas gracias.
_________________
Paucad Sed Matura
Back to top
View user's profile Send private message
agdg
Guru
Guru


Joined: 15 Aug 2010
Posts: 306

PostPosted: Tue Nov 27, 2012 3:26 pm    Post subject: Reply with quote

Parece que es un error de python, verifica los interpretes instalados.
Code:
agd-desktop $ eselect python list
Available Python interpreters:
  [1]   python2.7 *
  [2]   python3.2

Si tienes seleccionado python3.2, selecciona python2.7
_________________
make install . es
Noticias, apuntes y pequeños tutoriales sobre GNU/Linux
Back to top
View user's profile Send private message
quilosaq
l33t
l33t


Joined: 22 Dec 2009
Posts: 762

PostPosted: Tue Nov 27, 2012 10:17 pm    Post subject: Reply with quote

Publica tu
Quote:
emerge --info
Back to top
View user's profile Send private message
SS3
n00b
n00b


Joined: 23 Oct 2010
Posts: 20

PostPosted: Tue Dec 04, 2012 1:41 am    Post subject: Reply with quote

A lo mejor actualizaste python a una versión 3.X y no tienes la use activada en portage, puedes utilizar eselect como te dicen o activarla.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum